## primus-vk 1.3

=== debian/changelog ===
primus-vk (1.3-3+rpi2) bullseye-staging; urgency=medium

  * Also disable primus-vk-nvidia.
  * Fix clean target.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 07 Dec 2019 02:54:38 +0000

primus-vk (1.3-3+rpi1) bullseye-staging; urgency=medium

  * Disable libnv-vulkan-wrapper1 package, we don't have any nvidia stuff in raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 01 Dec 2019 03:06:16 +0000

primus-vk (1.3-3) unstable; urgency=medium

  * No change source upload to allow migration to testing.

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Nov 2019 10:01:00 +0000

primus-vk (1.3-2) unstable; urgency=medium

  [ Felix Dörre ]
  * restrict architectures for libnv-vulkan-wrapper1 to those that build
    NVIDIA drivers and the required libraries
  * another section-fix: move primus-vk from contrib/utils to utils

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Nov 2019 18:20:18 +0000

primus-vk (1.3-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream release v1.3 with a few improvements
  * move primus-vk-nvidia-i386 to correct section

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Nov 2019 10:20:10 +0000

primus-vk (1.2-1) unstable; urgency=medium

  [ Felix Dörre ]
  * Initial release (Closes: #940631)

 -- Luca Boccassi <bluca@debian.org>  Sun, 06 Oct 2019 20:24:34 +0100
