=== debian/control ===
Source: primus-vk
Section: utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 12),
               libvulkan-dev (>= 1.1.108),
               vulkan-validationlayers-dev (>= 1.1.108),
Standards-Version: 4.4.1
Homepage: https://github.com/felixdoerre/primus_vk
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/nvidia-team/primus-vk
Vcs-Git: https://salsa.debian.org/nvidia-team/primus-vk.git

Package: primus-vk
Architecture: all
Section: utils
Depends: bumblebee, libprimus-vk1, ${misc:Depends}
Recommends: libprimus-vk1:amd64, libprimus-vk1:i386
Description: Vulkan layer for GPU offloading
 Typically you want to display an image rendered on a more powerful
 GPU on a display managed by an internal GPU. The layer in this package will
 direct rendering commands to a dedicated, more powerful GPU an when such an
 image is displayed it will be copied to the integrated CPU for displaying.

Package: primus-vk-nvidia
Architecture: none
Section: contrib/utils
Depends: bumblebee,
         libglx-nvidia0 | libglx-nvidia-legacy-390xx0,
	 libnvidia-glvkspirv,
         libnv-vulkan-wrapper1,
         mesa-vulkan-drivers,
         primus-libs,
         primus-vk,
         ${misc:Depends},
Recommends: primus-vk-nvidia-i386
Breaks: nvidia-nonglvnd-vulkan-common, nvidia-vulkan-common, primus
Description: Hybrid runner for primus-vk configured for nvidia
 Adds the pvkrun runner which can be used as a universal runner
 for both OpenGL and Vulkan applications. The runner is preconfigured for
 Nvidia+Intel optimus setup and should work immediately.

Package: primus-vk-nvidia-i386
Architecture: i386
Section: contrib/utils
Depends: libglx-nvidia0 | libglx-nvidia-legacy-390xx0,
	 libnvidia-glvkspirv,
         libnv-vulkan-wrapper1,
         libprimus-vk1,
         mesa-vulkan-drivers,
         primus-libs,
         ${misc:Depends},
Multi-Arch: foreign
Description: dependencies of primus-vk-nvidia also for 32-bit applications
 This package depends on 32-bit libraries for primus. It can safely be
 removed after installation.

Package: libprimus-vk1
Architecture: any
Section: libs
Multi-Arch: same
Depends: libvulkan1 (>= 1.1.108), ${misc:Depends}, ${shlibs:Depends}
Description: vulkan layer library for the primus-vk layer
 This library implements the primus-vk layer. It decides which GPU
 the individual Vulkan API calls should go against and does the image
 copying.

Package: libnv-vulkan-wrapper1
Architecture: none
Section: contrib/libs
Multi-Arch: same
Depends: libgl1-nvidia-glx | libglx-nvidia0 | libglx-nvidia-legacy-390xx0,
         libvulkan1,
         ${misc:Depends},
         ${shlibs:Depends},
Description: thinly wraps the nvidia binary vulkan driver so it misbehaves less
 This library is a thin wrapper around the Vulkan API functions of the
 nvidia Vulkan driver. The Vulkan driver misbehaves for example by reading the
 DISPLAY environment variable and connecting to that display server. This
 library corrects that misbehaviour, so the driver can be successfully used
 with bumblebee.
