=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all


export DEB_CXXFLAGS_MAINT_APPEND=-DNV_DRIVER_PATH=\"/usr/lib/$(DEB_TARGET_MULTIARCH)/nvidia/nvidia/libGL.so.1:libGLX_nvidia.so.0\"

%:
	dh $@

INSTALL=install -D
override_dh_auto_install:
	$(INSTALL) "libnv_vulkan_wrapper.so" -T "debian/libnv-vulkan-wrapper1/usr/lib/$(DEB_TARGET_MULTIARCH)/libnv_vulkan_wrapper.so.1"
	$(INSTALL) "libprimus_vk.so" -T "debian/libprimus-vk1/usr/lib/$(DEB_TARGET_MULTIARCH)/libprimus_vk.so.1"
	$(INSTALL) -m644 "primus_vk.json" -t "debian/primus-vk/usr/share/vulkan/implicit_layer.d/"
	$(INSTALL) -m644 "nv_vulkan_wrapper.json" -t "debian/primus-vk-nvidia/usr/share/vulkan/icd.d/"
	$(INSTALL) -m755 "debian/pvkrun.nvidia" -T "debian/primus-vk-nvidia/usr/bin/pvkrun"
	$(INSTALL) -m644 "debian/pvkrun.bash-completion" -T "debian/primus-vk-nvidia/usr/share/bash-completion/completions/primus-vk-nvidia"

	sed -i s/libprimus_vk.so/libprimus_vk.so.1/ debian/primus-vk/usr/share/vulkan/implicit_layer.d/primus_vk.json
	sed -i s/libnv_vulkan_wrapper.so/libnv_vulkan_wrapper.so.1/ debian/primus-vk-nvidia/usr/share/vulkan/icd.d/nv_vulkan_wrapper.json

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/primus-vk-nvidia
	rm -rf debian/libnv-vulkan-wrapper1
