## primus-vk 1.4

=== debian/changelog ===
primus-vk (1.4-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Mar 2020 20:48:25 -0700

primus-vk (1.4-1) unstable; urgency=medium

  [ Felix Dörre ]
  * Upstream fixes which ensure compatibility with 440-nvidia-driver

 -- Luca Boccassi <bluca@debian.org>  Mon, 10 Feb 2020 18:26:45 +0000
