=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: primus-vk
 Section: utils
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper-compat (= 12),
                libvulkan-dev (>= 1.1.108),
                vulkan-validationlayers-dev (>= 1.1.108),
+	       libwayland-dev, libx11-dev, libxcb1-dev
 Standards-Version: 4.4.1
 Homepage: https://github.com/felixdoerre/primus_vk
 Rules-Requires-Root: no
@@ -24,11 +26,11 @@
  image is displayed it will be copied to the integrated CPU for displaying.
 
 Package: primus-vk-nvidia
-Architecture: none
+Architecture: all
 Section: contrib/utils
 Depends: bumblebee,
          libglx-nvidia0 | libglx-nvidia-legacy-390xx0,
-	 libnvidia-glvkspirv,
+	     libnvidia-glvkspirv,
          libnv-vulkan-wrapper1,
          mesa-vulkan-drivers,
          primus-libs,
@@ -67,7 +69,7 @@
  copying.
 
 Package: libnv-vulkan-wrapper1
-Architecture: none
+Architecture: amd64 i386 armhf
 Section: contrib/libs
 Multi-Arch: same
 Depends: libgl1-nvidia-glx | libglx-nvidia0 | libglx-nvidia-legacy-390xx0,
