=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,3 @@
 
 	sed -i s/libprimus_vk.so/libprimus_vk.so.1/ debian/primus-vk/usr/share/vulkan/implicit_layer.d/primus_vk.json
 	sed -i s/libnv_vulkan_wrapper.so/libnv_vulkan_wrapper.so.1/ debian/primus-vk-nvidia/usr/share/vulkan/icd.d/nv_vulkan_wrapper.json
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf debian/primus-vk-nvidia
-	rm -rf debian/libnv-vulkan-wrapper1
