=== debian/changelog ===
primus-vk (1.5-2) unstable; urgency=medium

  * Build nvidia-specific packages for arm64.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jul 2020 10:37:20 +0200

primus-vk (1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jun 2020 15:00:43 +0200

primus-vk (1.4-2) unstable; urgency=medium

  * Sync with upstream master.
  * Add upstream metadata.
  * Use dh_bash-completion.
  * Use dh_auto_install.
  * Switch to debhelper-compat (= 13).
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Add myself to Uploaders.
  * Move implicit_layer.d/primus_vk.json into libprimus-vk1.
  * Use 'Recommends: libprimus-vk1:i386 [amd64]' to pull in the 32-bit parts.
  * Support all NVIDIA drivers with Vulkan ICD.  (Closes: #948952)
  * Move the NVIDIA Vulkan ICD wrapper from libnv-vulkan-wrapper1 to
    nvidia-primus-vk-{common,wrapper}.
  * nvidia-primus-vk-wrapper: Try libGLX_nvidia.so.0 first.
  * Move pvkrun back from primus-vk-nvidia to primus-vk.
  * Make primus-vk-nvidia an arch-specific metapackage.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 May 2020 20:14:08 +0200
