=== debian/changelog ===
primus-vk (1.6.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Add build-dependency on libglvnd-dev for libGLX.so

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Jan 2021 21:29:29 +0000

primus-vk (1.6.1-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream release.

 -- Luca Boccassi <bluca@debian.org>  Sat, 26 Dec 2020 12:21:12 +0000
