=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  bash-completion,
+ libglvnd-dev,
  libvulkan-dev (>= 1.1.108),
  libwayland-dev,
  libx11-dev,
+ mesa-common-dev,
  libxcb1-dev,
  vulkan-validationlayers-dev (>= 1.1.108),
 Standards-Version: 4.5.0
