=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%primus-vk_$1.tar.gz%" \
   https://github.com/felixdoerre/primus_vk/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
