=== debian/changelog ===
primus-vk (1.6.2-2) unstable; urgency=medium

  * Switch to dh-sequence-bash-completion.
  * Update the list of supported drivers.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 10:37:29 +0100

primus-vk (1.6.2-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream release.
    Fixes compatibility with newer wine versions using a specific vulkan
    extension.

  [ Andreas Beckmann ]
  * Update the list of supported Tesla drivers.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Jul 2022 20:52:56 +0200

primus-vk (1.6.1-2) unstable; urgency=medium

  * Update the list of supported Tesla drivers.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Apr 2022 23:30:40 +0200
