=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- bash-completion,
- libglvnd-dev,
+ dh-sequence-bash-completion,
  libvulkan-dev (>= 1.1.108),
  libwayland-dev,
  libx11-dev,
  mesa-common-dev,
  libxcb1-dev,
+ libxrandr-dev,
  vulkan-validationlayers-dev (>= 1.1.108),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/felixdoerre/primus_vk
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/nvidia-team/primus-vk
