=== debian/rules ===
#!/usr/bin/make -f

nv_libs_Debian	+= nvidia-vulkan-icd				[!ppc64el] |
nv_libs_Debian	+= nvidia-tesla-vulkan-icd			[amd64 i386 arm64 ppc64el] |
nv_libs_Debian	+= nvidia-tesla-470-vulkan-icd			[amd64 i386 arm64 ppc64el] |
nv_libs_Debian	+= nvidia-vulkan-icd-any |

nv_libs_Ubuntu	+= bumblebee-nvidia |

VENDOR		:= $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(VENDOR),Ubuntu)
export DEB_CXXFLAGS_MAINT_APPEND=-DNV_DRIVER_PATH=\"libGLX_nvidia.so.0\"
else
export DEB_CXXFLAGS_MAINT_APPEND=-DNV_DRIVER_PATH=\"libGLX_nvidia.so.0:/usr/lib/$(DEB_HOST_MULTIARCH)/nvidia/libGL.so.1\"
endif

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr libdir='$$(PREFIX)'/lib/$(DEB_HOST_MULTIARCH)

override_dh_gencontrol:
	dh_gencontrol -- -V'nvidia:Depends=$(nv_libs_$(VENDOR))'
