=== debian/changelog ===
primus-vk (1.6.3-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream release.
    Resolved build compatibility with newer vulkan-validationlayers
    (Closes: #1042122)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 31 Jul 2023 14:49:27 +0200
