=== debian/changelog ===
primus-vk (1.6.4-2) unstable; urgency=medium

  * Update the list of supported drivers.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Jan 2024 00:30:41 +0100

primus-vk (1.6.4-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream release.
    - remove dependency on vulkan-validationlayers, this allows compiling
    with vulkan >=1.3.268
    - link to Gentoo overlay from the Readme

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Dec 2023 10:34:12 +0100
