=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  mesa-common-dev,
  libxcb1-dev,
  libxrandr-dev,
- vulkan-validationlayers-dev (>= 1.1.108),
 Standards-Version: 4.6.2
 Homepage: https://github.com/felixdoerre/primus_vk
 Rules-Requires-Root: no
