=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
-nv_libs_Debian	+= nvidia-vulkan-icd				[!ppc64el] |
-nv_libs_Debian	+= nvidia-tesla-vulkan-icd			[amd64 i386 arm64 ppc64el] |
+nv_libs_Debian	+= nvidia-vulkan-icd |
 nv_libs_Debian	+= nvidia-tesla-470-vulkan-icd			[amd64 i386 arm64 ppc64el] |
 nv_libs_Debian	+= nvidia-vulkan-icd-any |
